if not SystemFS:exists("mods/DMCWO/mod.txt") then
	function NewRaycastWeaponBase:tweak_data_anim_play(anim, speed_multiplier)
		local orig_anim = anim
		local unit_anim = self:_get_tweak_data_weapon_animation(orig_anim)
		local data = tweak_data.weapon.factory[self._factory_id]
		if data.animations and data.animations[unit_anim] then
			local anim_name = data.animations[unit_anim]
			local length = self._unit:anim_length(Idstring(anim_name))
			speed_multiplier = speed_multiplier or 1
			self._unit:anim_stop(Idstring(anim_name))
			self._unit:anim_play_to(Idstring(anim_name), length, speed_multiplier)
		end
		for part_id, data in pairs(self._parts) do
			if data.animations and data.animations[unit_anim] then
				local anim_name = data.animations[unit_anim]
				local length = data.unit:anim_length(Idstring(anim_name))
				speed_multiplier = speed_multiplier or 1
				data.unit:anim_stop(Idstring(anim_name))
				data.unit:anim_play_to(Idstring(anim_name), length, speed_multiplier)
			end
		end
		self:set_reload_objects_visible(true, anim)
		if not self:weapon_tweak_data().pd2_anims_only then --for w/e reason, letting the MP5 use the PDTH animation playback code makes it blend with some other anims
			NewRaycastWeaponBase.super.tweak_data_anim_play(self, anim, speed_multiplier)
		end
		return true
	end
end